aboutsummaryrefslogtreecommitdiff
path: root/autotools_prepare.bash
diff options
context:
space:
mode:
authorAvatar Saleem Abdulrasool <compnerd@compnerd.org> 2016-01-17 12:14:38 -0800
committerAvatar Saleem Abdulrasool <compnerd@compnerd.org> 2016-01-17 12:16:56 -0800
commitab3bf63b75173ebf0fa3de6361ad4ae27f154894 (patch)
treebe45d7e5b5e57c821603a82331c2e0e576f3765b /autotools_prepare.bash
parentcd722e33ba845a494ae19a6a45dfe4f60217a7a5 (diff)
downloadpaludis-ab3bf63b75173ebf0fa3de6361ad4ae27f154894.tar.gz
paludis-ab3bf63b75173ebf0fa3de6361ad4ae27f154894.tar.xz
build: support out-of-tree builds better
This adjusts the invocation of do_m4.bash to take two parameters, the m4 generator and the destination location. Doing so permits an out-of-tree build of paludis when the .m4 files are adjusted and the build needs to re-run the m4 files. While in the area, fix up a tiny bug with the generation of comparison_policy.hh.
Diffstat (limited to 'autotools_prepare.bash')
-rwxr-xr-xautotools_prepare.bash10
1 files changed, 5 insertions, 5 deletions
diff --git a/autotools_prepare.bash b/autotools_prepare.bash
index 642c44723..8af91e940 100755
--- a/autotools_prepare.bash
+++ b/autotools_prepare.bash
@@ -9,9 +9,9 @@ fi
trap 'echo "exiting." ; exit 250' 15
KILL_PID=$$
-misc/do_m4.bash paludis/Makefile.am || exit $?
-misc/do_m4.bash paludis/paludis.hh || exit $?
-misc/do_m4.bash paludis/util/util.hh || exit $?
-misc/do_m4.bash paludis/util/Makefile.am || exit $?
-misc/do_m4.bash hooks/Makefile.am || exit $?
+misc/do_m4.bash paludis/Makefile.am.m4 paludis/Makefile.am || exit $?
+misc/do_m4.bash paludis/paludis.hh.m4 paludis/paludis.hh || exit $?
+misc/do_m4.bash paludis/util/util.hh.m4 paludis/util/util.hh || exit $?
+misc/do_m4.bash paludis/util/Makefile.am.m4 paludis/util/Makefile.am || exit $?
+misc/do_m4.bash hooks/Makefile.am.m4 hooks/Makefile.am || exit $?